Page MenuHomePhabricator

[RISCV] Pre-commit test for D118216
ClosedPublic

Authored by Luhaocong on Jan 26 2022, 12:03 AM.

Diff Detail

Event Timeline

Luhaocong created this revision.Jan 26 2022, 12:03 AM
Luhaocong requested review of this revision.Jan 26 2022, 12:03 AM
asb added a comment.Jan 28 2022, 6:41 AM

Although it's a bit repetitive, we typically try to run tests with both riscv32 and riscv64 if possible. It looks like this test case actually has identical assembly for RV32 and RV64, so you can just add a second CHECK line and leave them both using the default 'CHECK' prefix.

It would also be helpful to add a comment to the file explaining what it's trying to test. e.g. "This test case checks whether the address of an array is repeatedly rematerialised within a loop.".

Luhaocong updated this revision to Diff 406307.Feb 6 2022, 5:54 PM
Luhaocong added a reviewer: asb.
  1. Add test for rv64.
  2. Add description of test case.
frasercrmck accepted this revision.Feb 8 2022, 9:12 AM

LGTM otherwise.

llvm/test/CodeGen/RISCV/unroll-loop-cse.ll
4

You don't need --check-prefix=CHECK at all, since it's the default.

This revision is now accepted and ready to land.Feb 8 2022, 9:12 AM
Luhaocong updated this revision to Diff 407101.Feb 9 2022, 2:36 AM

delete unnecessary CHECK

This revision was landed with ongoing or failed builds.Feb 11 2022, 10:30 PM
This revision was automatically updated to reflect the committed changes.